@import '../../../../assets/static/css/variable.scss';

.time-filter-data {
    padding: 30px 0px 15px;

    .form-group {
        padding: 0px 5px;

        label {
            font-size: 14px;
            color: $nile-blue;
            letter-spacing: 0.05em;
            line-height: 20px;
            font-weight: 700;
            font-family: $font-karla;
            margin-bottom: 5px;
            width: 100%;
        }

        .blue-text {
            color: $blue;
            letter-spacing: 0.05em;
            font-weight: 700;
            font-size: 20px;
            margin-bottom: 0px;
            font-family: 'DM Sans', sans-serif;
            border: none;
            padding: 0px;
            background-color: transparent;
            box-shadow: none;
            outline: none;
            margin-top: 7px;
            width: 90%;
            cursor: pointer;

            @media(max-width:991px) {
                font-size: 15px;
                margin-top: 10px;
            }

            @media(max-width:767px) {
                font-size: 12px;
            }

            @media(max-width:767px) {
                width: 100%;
            }
        }
    }

    .mobile-date-picker {
        display: flex;

        @media(max-width:767px) {
            .form-group {
                width: 50%;
                padding: 0px 10px;
            }
        }
    }

    .time-wrapper {
        .select-wrapper {
            display: flex;
            margin: 0px -5px;
            justify-content: flex-end;

            @media(max-width:767px) {
                flex-direction: column;
                margin: 0px;
            }



            .form-group {
                @media(max-width:767px) {
                    width: 50% !important;
                    padding: 0px 10px;
                }

                .form-select {
                    border: 1px solid #C2CAD7;
                    background-color: #fff;
                    border-radius: 0px;
                    height: 40px;
                    font-weight: 700;
                    font-size: 14px;
                    line-height: 16px;
                    color: $nile-blue;
                    font-family: $font-karla;
                    box-shadow: none;
                }

                .common-btn {
                    margin-top: 27px;

                    @media(max-width:767px) {
                        margin-top: 10px;
                    }
                }

                &.common-select {
                    width: 255px;

                    @media(max-width:991px) {
                        width: 220px;
                    }
                }

            }



            .time-select {
                width: 151px;
            }
        }
    }

    .box-detail-main {
        padding-top: 30px;

        .col-md-10 {
            @media(max-width:1024px) {
                width: 100%;
            }

            &.offset-md-1,
            &.offset-md-2 {
                @media(max-width:1024px) {
                    margin-left: 0px;
                }
            }
        }

        .box-inner {
            display: flex;

            .box-div {
                background: #FFFFFF;
                box-shadow: 5px -3px 4px rgba(255, 255, 255, 0.05), 0px 4px 4px rgba(0, 0, 0, 0.05);
                border-radius: 6px;
                width: 100%;
                margin-right: 0px;
                padding: 10px 5px 10px 15px;
                margin-bottom: 25px;

                @media(max-width:767px) {
                    width: 100%;
                }

                &:last-child {
                    @media(max-width:1023px) {
                        margin-right: 0px;
                    }
                }


                p {
                    font-weight: 500;
                    font-size: 10px;
                    line-height: 13px;
                    letter-spacing: 0.05em;
                    color: $blue-mine;
                    font-family: 'DM Sans', sans-serif;
                    margin-bottom: 0px;
                }

                h3 {
                    font-weight: 700;
                    font-size: 24px;
                    line-height: 31px;
                    letter-spacing: 0.05em;
                    color: #000000;
                }

                .d-flex {
                    justify-content: space-between;
                    align-items: center;

                    p {
                        margin-bottom: 0px;
                        font-weight: 600;
                        font-size: 14px;
                        line-height: 17px;
                        color: $green;


                        img {
                            height: 11px;
                            width: 11px;
                            margin-right: 5px;
                        }

                        &.orange {
                            color: $orange;
                        }

                        &.blue {
                            color: $blue-mine;
                        }
                    }

                    span {
                        font-weight: 500;
                        font-size: 8px;
                        line-height: 10px;
                        letter-spacing: 0.05em;
                        color: #C2CAD7;
                        font-family: 'DM Sans', sans-serif;
                    }

                    .orange {
                        p {
                            color: $orange;
                        }
                    }
                }

            }

            &.box-inner-right {
                justify-content: flex-end;

                .box-div {
                    &:last-child {
                        margin-right: 0px;
                    }
                }
            }
        }
    }

    .hide-mobile {
        @media(max-width:767px) {
            display: none;
        }
    }

    .hide-desktop {
        display: none !important;

        @media(max-width:767px) {
            display: block !important;
        }
    }

    .mobile-wrapper {
        @media(max-width:767px) {
            display: flex;

            .form-group {
                width: 50%;
                padding: 0px 10px;
            }

            .select-wrapper {
                width: 50%;

                .form-group {
                    width: 100% !important;
                    padding: 0px 10px;
                }
            }

        }
    }

    .responsive-select {
        display: flex;
    }
}

.leads-main {
    margin-bottom: 40px;

    .leads-inner {
        .card {
            height: 100%;
            border: none;
            background-color: transparent;


            .common-bg {
                padding: 15px 25px;

                @media(max-width: 767px) {
                    padding: 15px 15px;
                }

                &.app-graph {
                    @media(max-width:991px) {
                        margin-bottom: 38px;
                    }


                    .graph-bottom-text {
                        display: flex;
                        justify-content: space-between;
                        margin: 50px 0px 35px;

                        .text-left {
                            label {
                                color: #000;
                                font-size: 12px;
                                letter-spacing: 0.05em;
                                line-height: 18px;
                                font-family: $font-karla;
                            }

                            p {
                                color: $blue;
                                letter-spacing: 0.05em;
                                font-weight: 700;
                                font-size: 20px;
                                font-family: 'DM Sans', sans-serif;
                                margin-bottom: 0px;
                            }
                        }

                        .text-right {
                            label {
                                font-size: 9px;
                                color: #000;
                                letter-spacing: 0.05em;
                                font-family: $font-karla;
                            }
                        }
                    }
                }



            }
        }


    }
}

.table-main {
    @media(max-width:1024px) {
        margin-top: 45px;
    }

    .tab-word-cloud-inner {
        .nav-tabs {
            border-bottom: none;

            .nav-link {
                color: #C2CAD7;
                letter-spacing: 0.05em;
                font-weight: 700;
                font-size: 16px;
                font-family: 'DM Sans', sans-serif;
                border: none;
                background-color: transparent;
                padding-top: 0px;

                &:first-child {
                    padding-left: 0px;
                }

                &.active {
                    color: $blue-mine;
                }
            }
        }

        .card {
            border: none;
            height: 100%;
            background-color: transparent;

            .card-body {
                background-color: transparent;
                padding: 0px;

                .tab-content {
                    .table {
                        th {
                            background-color: $nile-blue;
                            font-size: 14px;
                            line-height: 15px;
                            letter-spacing: 0.05em;
                            color: #FFFFFF;
                            padding: 9px 10px;

                            @media(max-width:1024px) {
                                padding: 9px 5px;
                            }
                        }

                        tr {
                            &:nth-child(odd) {
                                background-color: #F6F8FA;
                            }

                            &:nth-child(even) {
                                background-color: #E8EBF0;
                            }

                        }

                        td {
                            font-size: 12px;
                            color: #000000;
                            letter-spacing: 0.05em;
                            font-family: 'DM Sans', sans-serif;
                            font-weight: 400;
                            border: none;
                            text-align: center;
                            vertical-align: middle;

                            &:first-child {
                                text-align: left;
                            }

                            &.white {
                                background-color: #F6F8FA;
                            }

                            &.light-blue {
                                background-color: #8FA5C9;
                            }

                            &.blue {
                                background-color: $blue;
                            }

                            &.black-blue {
                                background-color: #C1D4F3;
                            }

                            &.white-blue {
                                background-color: #DBE8FE;
                            }
                        }

                        @media(max-width:767px) {
                            margin-bottom: 40px;
                        }

                        @media(max-width:479px) {
                            margin-bottom: 0px;
                        }
                    }

                    @media(max-width:479px) {
                        width: 97%;
                        overflow-x: scroll;
                        margin-bottom: 40px;
                    }
                }

            }
        }

    }
}

.date-modal {
    .modal-dialog {
        max-width: 705px;
        width: 100%;

        @media(max-width:667px) {
            width: 90%;
            margin: 0 auto;
        }
    }

    .modal-content {
        border-radius: 20px;
        background-color: #FAFAFE;

        .modal-header {
            background: $nile-blue;
            color: #fff;
            height: 100px;
            justify-content: center;
            position: relative;
            border-radius: 20px 20px 0px 0px;

            h5 {
                font-size: 24px;
                font-weight: 700;
                line-height: 30px;
                text-transform: uppercase;
                font-family: $font-montserrat;

                @media(max-width: 667px) {
                    font-size: 18px;
                }
            }

            .btn-close {
                position: absolute;
                color: #fff;
                right: 20px;
                top: 15px;
                background-image: url(../../../../assets/static/images/close-popup.png);
                box-shadow: none;
            }
        }

        .modal-footer {
            justify-content: space-between;
            border-top: none;
            width: 594px;
            margin: 0 auto;
            margin-top: 30px;

            @media(max-width: 667px) {
                flex-direction: column;
                margin-top: 0px;
                width: 100%;
            }

            .btn {
                width: 141px;
                border-radius: 13px;
                height: 32px;
                line-height: 18px;
                font-size: 14px;
                letter-spacing: 0.1em;
                font-weight: 700;
                font-family: 'DM Sans', sans-serif;

                &.cancel-btn {
                    background-color: transparent;
                    color: #B5B5B5;
                    border: 1px solid #B5B5B5;

                    &:hover {
                        background: #B5B5B5;
                        color: #fff;
                        border: 1px solid #B5B5B5;
                    }
                }

                &.save-btn {
                    background: $nile-blue;
                    color: #fff;
                    border: 1px solid $nile-blue;

                    &:hover {
                        background: $blue;
                        color: #fff;
                        border: 1px solid $blue;
                    }
                }
            }
        }

        .date-picker-modal {
            max-width: 624px;
            margin: 0 auto;
            display: flex;
            margin-top: 30px;

            @media(max-width:667px) {
                flex-direction: column;
                width: 100%;
            }

            .form-group {
                flex-direction: column;
                display: flex;
                width: 100%;
                padding: 0px 20px;

                @media(max-width:667px) {
                    padding: 5px 20px;
                }

                label {
                    color: $nile-blue;
                    font-size: 18px;
                    line-height: 21px;
                    font-weight: 700;
                    font-family: $font-karla;
                }

                input {
                    border: 1px solid $nile-blue;
                    height: 30px;
                    box-shadow: none;
                    padding: 0px 8px;
                    color: $nile-blue;
                    font-size: 14px;
                    font-family: 'Poppins', sans-serif;

                    &:focus {
                        border: 1px solid $nile-blue;
                        box-shadow: none;
                    }
                }
            }
        }
    }
}
